<!DOCTYPE html>
<html>
<head>
	<title>js-面向对象-原型</title>
</head>
	<script type="text/javascript">
		var arr=new Array(1,2,3,4);
		var arr1=new Array(2,3,4,5);
		// 给类加原型
			Array.prototype.sum=function(){
				var result=0;
				for(var i=0;i<this.length;i++){
					result+=this[i];
				}
				return result;
			};
			alert(arr.sum());
			alert(arr1.sum());
	</script>
<body>
	
</body>
</html>